$(function () { 
	var token=$.cookie('sku_access_token');
	if(token==undefined){
		window.location.href = "login.html";
	}
	
	var data_list=[]; //套餐的查询记录
	var data_list1=[]; //套餐的查询记录
	var res_leng=0; // 记录规则的长度
	var totalPages=1; //记录总页数
	var counts;//记录条数
	var counts_all;//记录总条数
	
	var url=http+"cku_suit/query"; 
    var data_string = JSON.stringify({token:token});
//  首次获取
    $.ajax({
        url: url,
        type: "post",
        dataType:"JSON",
        data: data_string,
        success: function (data)
        {
        	if(data.code==0){
        	 	let html_='<option>请选择套装名称</option>';
    	 		for(let k=0;k<data.res.length;k++){
	 				html_=html_+'<option value="'+data.res[k].id+'">'+data.res[k].suitName+'</option>'
    	 		}
    	 		$(".select_combo_val").html(html_);
        	}
        },
        error:function (XMLHttpRequest) {
            console.log("失败！");
    	}
	}); 
	
//	选择就触发
	$(document).on('change','.select_combo_val', function() {
		$(".select_all_val").html('');
		$("#Respond_to_feedback_tbody").html('');
        let id = $(".select_combo_val option:selected").attr("value");
//      console.log(id);
        let url=http+"cku_rule/query_all"; 
	    let data_string = JSON.stringify({token:token,id:id});
	//  首次获取
	    $.ajax({
	        url: url,
	        type: "post",
	        dataType:"JSON",
	        data: data_string,
	        success: function (data)
	        {
	        	console.log(data)
	        	if(data.code==0){
	        		data_list=[];
	    	 		for(var k=0;k<data.res.length;k++){
		 				var html_='<select class="select_div rule_name">'
		        	 	+'<option value="'+data.res[k].cr_qs.length+'">请选择'+data.res[k].ruleName+'</option>';
		    	 		for(var j=0;j<data.res[k].cr_qs.length;j++){
			 				html_=html_+'<option  value="'+j+'">'+data.res[k].cr_qs[j].numName+'：'+data.res[k].cr_qs[j].conditionName+'</option>'
		    	 		}
		    	 		html_=html_+'</select> '
		    	 		$(".select_all_val").append(html_);
	    	 		}
	    	 		if(data.res.length>0){
	    	 			$("#ok_button").show();
	    	 		}else{
	    	 			$("#ok_button").hide();
	    	 		}
	    	 		$(".pagination").hide();
	        	}
	        },
	        error:function (XMLHttpRequest) {
	            console.log("失败！");
	            
	    	}
		}); 
    });
	function recursion_all_num(data_,num){
		let count=num-1;//记录是否继续
		for(let b=count;b>=0;b--){
			counts_all=counts_all*data_.res[b].cr_qs.length;
		}
	}
	//  递归 --根据套的规则去循环显示所有的条数
	
	function recursion(data_,num,num_,tj_){
		if(num>15){
			return;
		}
		let count=num-1;//记录是否继续
		for (let a=0;a<data_.res[res_leng-count].cr_qs.length;a++) {
			if(count==0){
				let num_all=num_ ,tj_all=tj_;
				num_all=num_all+data_.res[res_leng-count].cr_qs[a].numName;
				tj_all=tj_all+data_.res[res_leng-count].cr_qs[a].conditionName;
				counts=counts+1;
				if(5000000<counts){
					return;
				}else{
					data_list.push({'num':counts,'all_num':num_all,'all_tj':tj_all});
				}
			}else{
				let num_all=num_ ,tj_all=tj_;
				num_all=num_all+data_.res[res_leng-count].cr_qs[a].numName;
				tj_all=tj_all+data_.res[res_leng-count].cr_qs[a].conditionName;
				recursion(data_,count,num_all,tj_all);
			}
		}
	}
//	循环判断
	function cr_qs(data_,num,package_name){
		counts_all=1; //重置
		counts=1; //重置
		$(".pagination").show();//重新显示
		data_list=[];//重置
		recursion_all_num(data_,num);
		console.log('一共有');
		$("#all_num").html('共'+counts_all+'条记录');
		console.log(counts_all);
		recursion(data_,num,"","");
		if(totalPages==0){//计算页数
			totalPages=1;
		}else{
			totalPages=parseInt(((counts_all-1)+line-1)/line); //计算页 
		}
		$("#Respond_to_feedback_tbody").html(''); //重置
        for(let i=0;i<data_list.length;i++){
        	if(i<line){
    			$("#Respond_to_feedback_tbody").append('<tr>'
                    +'<td>'+data_list[i].num+'</td>'
                    +'<td>'+data_list[i].all_num+'</td>'
                    +'<td>'+data_list[i].all_tj+'</td>'
                +'</tr>');
        	}
        } 
		$('#pageLimit').bootstrapPaginator({
            currentPage: 1,//当前的请求页面。
            totalPages: totalPages,//一共多少页。
            size: "normal",//应该是页眉的大小。
            bootstrapMajorVersion: 3,//bootstrap的版本要求。
            alignment: "right",
            numberOfPages: 7,//一页列出多少数据。
            itemTexts: function (type, page, current) {//如下的代码是将页眉显示的中文显示我们自定义的中文。
                 switch (type) {
                    case "first":
                        return "首页";
                    case "prev":
                        return "上一页";
                    case "next":
                        return "下一页";
                    case "last":
                        return "末页";
                    case "page":
                        return page;
                }
            },
            onPageClicked: function (event, originalEvent, type, page) {//给每个页眉绑定一个事件，其实就是ajax请求，其中page变量为当前点击的页上的数字。
                $("#Respond_to_feedback_tbody").html('');
                
                //分页
                if((line*page)>5000000){
            		$("#Respond_to_feedback_tbody").append('<tr>'
                            +'<td colspan="3">数据量过大浏览器缓存不足</td>'
                        	+'</tr>');
                }else{
	                for(let i=0;i<data_list.length;i++){
		                if(line*(page-1)<=i && i<line*page){
		            		$("#Respond_to_feedback_tbody").append('<tr>'
		                            +'<td>'+data_list[i].num+'</td>'
		                            +'<td>'+data_list[i].all_num+'</td>'
		                            +'<td>'+data_list[i].all_tj+'</td>'
		                        	+'</tr>');
		                	}	
	                	}
                	
                }
            }
        }); 
	}
	
//	点击确认
	$("#ok_button").on('click',function(){
		var id = $(".select_combo_val option:selected").attr("value");
		var package_name = $(".select_combo_val option:selected").text();
//      console.log(package_name);
        var url=http+"cku_rule/query_all"; 
	    var data_string = JSON.stringify({token:token,id:id});
		$.ajax({
	        url: url,
	        type: "post",
	        dataType:"JSON",
	        data: data_string,
	        success: function (data)
	        {
	        	if(data.code==0){
//	        		console.log(data);
					for (let i=0;i<$(".select_all_val").children().length;i++) {
						let ff=$(".select_all_val").children().eq(i).val();
					    if(ff<data.res[i].cr_qs.length){
					    	data.res[i].cr_qs= [data.res[i].cr_qs[ff]]
					    }
					}
					try{
						res_leng=data.res.length-1;
						cr_qs(data,data.res.length,package_name);
					}catch(e){
						//TODO handle the exception
					}
	        	}
	        },
	        error:function (XMLHttpRequest) {
	            console.log("失败！");
	    	}
		});
	});

//	$(".ipt_find").on('focus',function(){
//		$(".find_img").addClass("find_img_hover");
//	});
//	$(".ipt_find").on('blur',function(){
//		$(".find_img").removeClass("find_img_hover");
//	});
	
//	注销登录
	$("#logout").on('click',function(){
	//清空cookie
		$.cookie("sku_access_token", "", {expires: -1});
		$.cookie("sku_refresh_token", "", {expires: -1});
		$.cookie("sku_role_id", "", {expires: -1});
	//回到首页
		window.location.href = "login.html";
	});
});